from acquisition_sanitizer import case_sanitizer
from lxml import etree


def construct_body(text: str):
    BODY = "/html/body"
    html = etree.HTML(text)
    body_raw = etree.tostring(html.xpath(BODY)[0])
    body_text = body_raw.decode("UTF-8")
    return case_sanitizer.sanitize(body_text)
